Bug 1575828 - Required documentation for CRS deployment using advanced installer
Summary: Required documentation for CRS deployment using advanced installer
Keywords:
Status: CLOSED DUPLICATE of bug 1584257
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Container_Native_Storage_with_OpenShift
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: CNS 3.10
Assignee: Bhavana
QA Contact: Ashmitha Ambastha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 04:19 UTC by Ashmitha Ambastha
Modified: 2018-08-30 07:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 07:15:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ashmitha Ambastha 2018-05-08 04:19:17 UTC
Description of problem: 
-----------------------
The CNS documentation has only the following combinations documented for deployment:

1.Setting up CNS (both, using advanced installer and cns-deploy tool) 
2.Setting up CRS (only using cns-deploy tool) 

It would help if we could add the documentation to set up CRS using advanced installer too. 


Link: https://access.redhat.com/documentation/en-us/container-native_storage/3.9/html-single/container-native_storage_for_openshift_container_platform/

Version-Release number of selected component (if applicable): v3.9

Actual results:
---------------
Currently, there is no section in the existing doc for setting up CRS using advanced installer. 

Expected results:
-----------------
Setting up CRS using advanced installer is available in the doc. 


Additional info: 
----------------
Steps to set up CRS using advanced installer is documented in the OCP document. 

Link to OCP document - https://access.redhat.com/documentation/en-us/openshift_container_platform/3.9/html-single/installation_and_configuration/#host-registration

Section in the above link - 2.6.3.10.2. Configuring Container-Ready Storage

Comment 3 Ashmitha Ambastha 2018-07-31 05:44:58 UTC
Hello Ken, 

There are more parts to CRS installation which are not there in the bug you've mentioned. I suggest we keep this bug open and we can make that bug depend on this. There is no bug with overall CRS installation steps mentioned. 
We can close this bug once all CRS installation steps are verified.
This will help keep things clearer for me. 

Thanks, 
Ashmitha


Note You need to log in before you can comment on or make changes to this bug.